SWAPON(8)

NAME
swapon - specify additional device for paging and swapping

SYNOPSIS
/usr/etc/swapon -a

/usr/etc/swapon name...

DESCRIPTION
swapon specifies additional devices or files on which paging and swapping are to take place. The system begins by swapping and paging on only a single device so that only one disk is required at bootstrap time. Calls to swapon normally occur in the system multi-user initialization file /etc/rc making all swap devices available, so that the paging and swapping activity is interleaved across several devices.

The second form gives individual block devices or files as given in the system swap configuration table. The call makes only this space available to the system for swap allocation.

Note: “swap files” made with mkfile(8) can be used as swap areas over NFS.

OPTIONS

-a  Make available all devices of type swap in /etc/fstab. Using swapon with the -a option is the normal usage.

FILES
/dev/sd?b
/dev/xy?b
/dev/xd?b
    normal paging devices
/etc/fstab
/etc/rc

SEE ALSO
swapon(2), fstab(5), init(8), mkfile(8)

BUGS
There is no way to stop paging and swapping on a device. It is therefore not possible to make use of devices which may be dismounted during system operation.